\input {extbookmy.cls}
\usepackage[T2A]{fontenc}
\usepackage[cp866]{inputenc}
\usepackage[russian]{babel}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{graphics}
\usepackage{graphicx}
\usepackage{epsfig}
\usepackage{amssymb}
\usepackage{afterpage}

\righthyphenmin=2
\emergencystretch=5pt
\hfuzz=2.5pt
\mathsurround=0.1em
\clubpenalty=1000%
\widowpenalty=1000%
\brokenpenalty=2000%
\frenchspacing%
\tolerance=9999%
\hbadness=1500%
\doublehyphendemerits=50000%
\finalhyphendemerits=25000%
\adjdemerits=50000%

\pagestyle{myheadings}
\setlength{\topmargin}{-1.3cm}
\setlength{\headheight}{1.0cm}
%----------------------
\setlength{\headsep}{0.4cm}
\setlength{\textheight}{25cm}
\setlength{\oddsidemargin}{-0.5cm}
\setlength{\evensidemargin}{-0.4cm}
\setlength{\textwidth}{16.8cm}

\DeclareGraphicsRule{.bmp}{bmp}{}{}
%----------------------
\renewcommand{\baselinestretch}{0.945}
\renewcommand{\figurename}{.}

\renewcommand{\tableofcontents}%
{\centerline{\bf }
\vspace{0.5cm}
\@starttoc{toc}}

\newtheorem{mytheorem}{\qquad ६}
\newtheorem{mylemma}{\qquad }
\newtheorem{mynot}{\qquad 砭}
\newtheorem{myproclaim}{\qquad ।}
\newtheorem{pr}{\qquad ।}
\newtheorem{sled}{\qquad ⢨}
\newcommand{\dok}{ {\par \bf ⥫⢮. }}

\newcommand{\AnnalsNAME}[1]{\def\Annals{#1}}
\newcommand{\ArticleNAME}[1]{\def\Aname{#1}}
\newcommand{\AarticleAUTHOR}[1]{\def\Aauthor{#1}}
\newcommand{\AbibAUTHOR}[1]{\def\AbAUTHOR{#1}}
\newcommand{\AarticleAddress}[1]{\def\Aaddress{#1}}
\newcommand{\AarticleHEAD}[1]{\def\Ahead{#1}}
\newcommand{\AarticleAUTHORHEAD}[1]{\def\Aauthorhead{#1}}
\newcommand{\AarticleFOOTNOTE}[1]{\def\Afootnote{#1}}
\AnnalsNAME{"६ ஡ ⥬᪮
஢"}

\renewcommand{\@begintheorem}[2]{\begin{trivlist}\it
\item[{\bf  #1 #2.}]}
\renewcommand{\@endtheorem}{\end{trivlist}}

%\renewcommand{\theenumi}{\Alph{enumi}}

\renewcommand{\thesection}{\Roman{section}}
%\renewcommand\refname{}
%\renewcommand{\refname}{\begin{center}{\normalsize\rm }\end{center}}
\renewcommand{\bibindent}{\begin{center}{\normalsize\rm }\end{center}}
%\renewcommand{\@biblabel}[1]{\bf #1. \hfill}
\renewcommand{\@biblabel}[1]{ #1. \hfill}

\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1. #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1. #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}


\def\References#1{{\normalsize%
\baselineskip=12pt
\begin{thebibliography}{99}
{#1}\end{thebibliography}}}

\newcounter{myfootnote}[page]
\renewcommand{\@makefnmark}{\hbox{\mathsurround=0pt $^{\@thefnmark }$}}
\newcommand{\absfootnote}[1]{%
  \setcounter{footnote}{\value{myfootnote}}%
  \footnote{{\normalsize #1}}%
  \addtocounter{myfootnote}{1}}

\renewcommand{\@evenfoot}{}
\renewcommand{\@oddfoot}{}

\def\l@contst#1#2{\addpenalty{\@secpenalty}%
   \addvspace{.25em plus\p@}%
   \begingroup
   \@tempdima 3em
     \parindent \z@ \rightskip \@pnumwidth
     \parfillskip -\@pnumwidth
     {\rm
     \leavevmode
     #1\dotfill \hbox to\@pnumwidth{\hss #2}}\par
     \nobreak
   \endgroup}

\def\makeabstitle{\null
\begingroup
 \markboth{\hbox{\Annals}}{\hbox{\Aauthorhead  \Ahead}}
  \setcounter{part}{0}
  \setcounter{section}{0}
  \setcounter{figure}{0}
  \setcounter{table}{0}
  \setcounter{equation}{0}
  \setcounter{mytheorem}{0}
  \setcounter{mylemma}{0}
  \setcounter{mynot}{0}
  \setcounter{myproclaim}{0}
  \setcounter{pr}{0}
  \setcounter{footnote}{0}
  \setcounter{tocdepth}{0}
%  \if chapter
%  \setcounter{chapter}{0} \fi
\endgroup
\vspace*{-1cm}
% \vskip 1.0em
\nopagebreak[4]
 \noindent
 \begin{flushleft}%
  \large \bf \Aname%
  \if\Afootnote
  \else
  \footnote{\Afootnote}
  \fi
  \par%
  \nopagebreak[4]
  %\vskip .25em
  {\bf
   %\lineskip .25em
   \Aauthor
   \nopagebreak[4]\par}%
   \nopagebreak[4]
   \if
    \it \Aaddress
   \else
    \nopagebreak[4]
    \vskip .25em
    {\large \it \Aaddress}%
   \fi%
   \nopagebreak[4]
 \end{flushleft}%
 \addcontentsline{toc}{contst}{{\Aname}\\ {\bf \AbAUTHOR}}
 \par
 \nopagebreak[4]
 \vskip .25em
 \nopagebreak[4]
 }

\def\acute{\mathaccent"7013 }
\def\grave{\mathaccent"7012 }
\def\ddot{\mathaccent"707F }
\def\tilde{\mathaccent"707E }
\def\bar{\mathaccent"7016 }
\def\breve{\mathaccent"7015 }
\def\check{\mathaccent"7014 }
\def\hat{\mathaccent"705E }
\def\vec{\mathaccent"017E }
\def\dot{\mathaccent"705F }
\def\widetilde{\mathaccent"0365 }
\def\widehat{\mathaccent"0362 }

\endinput
